CalendarParsedResult (ZXing 3.4.0 API)

com.google.zxing.client.result

## Class CalendarParsedResult

- java.lang.Object
- - com.google.zxing.client.result.ParsedResult
  - - com.google.zxing.client.result.CalendarParsedResult

-     public final class CalendarParsedResult
      extends ParsedResult

  Represents a parsed result that encodes a calendar event at a certain time, optionally with attendees and a location.
  Author:
    Sean Owen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarParsedResult(String summary, String startString, String endString, String durationString, String location, String organizer, String[] attendees, String description, double latitude, double longitude)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getAttendees()`
    `String` | `getDescription()`
    `String` | `getDisplayResult()`
    `Date` | `getEnd()` Deprecated. use `getEndTimestamp()`
    `long` | `getEndTimestamp()`
    `double` | `getLatitude()`
    `String` | `getLocation()`
    `double` | `getLongitude()`
    `String` | `getOrganizer()`
    `Date` | `getStart()` Deprecated. use `getStartTimestamp()`
    `long` | `getStartTimestamp()`
    `String` | `getSummary()`
    `boolean` | `isEndAllDay()`
    `boolean` | `isStartAllDay()`

    - ### Methods inherited from class com.google.zxing.client.result.ParsedResult

      `getType, maybeAppend, maybeAppend, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarParsedResult

          public CalendarParsedResult(String summary,
                                      String startString,
                                      String endString,
                                      String durationString,
                                      String location,
                                      String organizer,
                                      String[] attendees,
                                      String description,
                                      double latitude,
                                      double longitude)

  - ### Method Detail

    - #### getSummary

          public String getSummary()

    - #### getStart

          @Deprecated
          public Date getStart()

      Deprecated. use `getStartTimestamp()`
      Returns:
        start time

    - #### getStartTimestamp

          public long getStartTimestamp()

      Returns:
        start time
      See Also:
        `getEndTimestamp()`

    - #### isStartAllDay

          public boolean isStartAllDay()

      Returns:
        true if start time was specified as a whole day

    - #### getEnd

          @Deprecated
          public Date getEnd()

      Deprecated. use `getEndTimestamp()`
      Returns:
        event end `Date`, or `null` if event has no duration

    - #### getEndTimestamp

          public long getEndTimestamp()

      Returns:
        event end `Date`, or -1 if event has no duration
      See Also:
        `getStartTimestamp()`

    - #### isEndAllDay

          public boolean isEndAllDay()

      Returns:
        true if end time was specified as a whole day

    - #### getLocation

          public String getLocation()

    - #### getOrganizer

          public String getOrganizer()

    - #### getAttendees

          public String[] getAttendees()

    - #### getDescription

          public String getDescription()

    - #### getLatitude

          public double getLatitude()

    - #### getLongitude

          public double getLongitude()

    - #### getDisplayResult

          public String getDisplayResult()

      Specified by:
        `getDisplayResult` in class `ParsedResult`

Copyright © 2007–2019. All rights reserved.